extend("fiskheroes:hero_basic");
loadTextures({
    "layer1": "smp:vibeman_layer1",
    "layer2": "smp:vibeman_layer2"
});

var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    utils.bindCloud(renderer, "fiskheroes:teleportation", "smp:vibeman");

    utils.bindBeam(renderer, "fiskheroes:charged_beam", "smp:vibeman_beam", "rightArm", 0xE2B1B8, [
        { "firstPerson": [-4.5, 3.75, -8.0], "offset": [-0.5, 9.0, 0.0], "size": [2.5, 2.5] }
    ]).setParticles(renderer.createResource("PARTICLE_EMITTER", "fiskheroes:impact_energy_projection"));
}

function initAnimations(renderer) {
    parent.initAnimations(renderer);
    renderer.removeCustomAnimation("basic.CHARGED_BEAM");

    addAnimation(renderer, "vibeman.CHARGED_BEAM", "fiskheroes:aiming").setData((entity, data) => {
        data.load(Math.max(entity.getInterpolatedData("fiskheroes:beam_charge") * 5 - 4, 0));
    });
}