extend("fiskheroes:zoom");
loadTextures({
    "layer1": "fiskheroes:zoom_pink_layer1",
    "layer2": "fiskheroes:zoom_pink_layer2"
});

var speedster = implement("fiskheroes:external/speedster_utils");
var utils = implement("fiskheroes:external/utils");

function initEffects(renderer) {
    speedster.init(renderer, "smp:lightning_zoom_pink");

    utils.bindBeam(renderer, "fiskheroes:energy_manipulation", "fiskheroes:lightning_cast", "rightArm", 0xFF6BFF, [
        { "firstPerson": [-8.0, 4.5, -10.0], "offset": [-0.5, 9.0, 0.0], "size": [0.75, 0.75] }
    ]);

    utils.bindBeam(renderer, "fiskheroes:energy_projection", null, "body", null, []);
}

function initAnimations(renderer) {
    parent.initAnimations(renderer);
    renderer.removeCustomAnimation("basic.ENERGY_PROJ");
}